Bug 136287 - kpilotDaemon assigns wrong port
kpilotDaemon assigns wrong port
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 02:50 EDT by Philip Allen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: FC%
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 08:23:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Allen 2004-10-19 02:50:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux 2.6.5-1.358.8kstacks; X11; i686; en_GB, en_GB.UTF-8, en) (KHTML, like Gecko)

Description of problem:
After several syncs, the pilot daemon often stops telling the Zire 72 which USB port to use.  Thus, set kpilot to /dev/USB1 and the Zire will then connect to /dev/USB3.  Set kpilot to /dev/USB3 and the Zire connects to /dev/USB1.  The way round this is to change the kpilot configuration *just after* starting the sync on the Zire.

So it seems to be that whatever assigns the USB device to the Zire is thinking - wrongly - that the device used by kpilot is *not* available for the Zire.  Being a Zire, I am using

 options visor vendor=0x0830 product=0x0061

in modprobe.conf.

However, I haven't figured out yet just *when* it starts doing this.  Just killing kpilot and kpilotDaemon doesn't seem to reset the system - I wonder if the problem is at the USB end and has nothing to do with kpilotDaemon ?

Version-Release number of selected component (if applicable):
kdepim-3.2.2-2

How reproducible:
Sometimes

Steps to Reproduce:
1.sync
2.sync again... sometimes this will happen
3.
    

Actual Results:  /var/log/messages will show the zire connecting to the wrong USB port

Expected Results:  it should connect to the one selected in the kpilot configuration

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:11:23 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.